cascading.flow.stream.element

## Class EachStage

- java.lang.Object
- - cascading.flow.stream.duct.Duct<Incoming,Outgoing>
  - - cascading.flow.stream.duct.Stage<Incoming,Outgoing>
    - - cascading.flow.stream.element.ElementStage<Incoming,TupleEntry>
      - - cascading.flow.stream.element.OperatorStage<TupleEntry>
        - - cascading.flow.stream.element.EachStage

All Implemented Interfaces:
  ElementDuct

Direct Known Subclasses:
  FilterEachStage, FunctionEachStage, ValueAssertionEachStage

    public abstract class EachStage
    extends OperatorStage<TupleEntry>

### Field Summary

### Fields inherited from class cascading.flow.stream.element.OperatorStage

`argumentsBuilder, argumentsEntry, argumentsSelector, incomingEntry, operationCall, outgoingBuilder, outgoingEntry, outgoingSelector, outputCollector, remainderFields, RETAIN_COLLECTOR`

### Fields inherited from class cascading.flow.stream.element.ElementStage

`branchNames, flowElement, flowProcess, incomingScopes, outgoingScopes, trapHandler`

### Fields inherited from class cascading.flow.stream.duct.Duct

`next`

### Constructor Summary

Constructors
Constructor and Description
`EachStage(FlowProcess flowProcess, Each each)`

### Method Summary

Methods
`Operator` `getOperator()`
`protected Fields` `getOutgoingSelector()`

### Methods inherited from class cascading.flow.stream.element.OperatorStage

`cleanup, complete, createArgumentsBuilder, createOutgoingBuilder, getIncomingArgumentsFields, getIncomingPassThroughFields, getOperationDeclaredFields, initialize, prepare`

### Methods inherited from class cascading.flow.stream.element.ElementStage

`equals, getBranchNames, getFlowElement, getIncomingScopes, getOutgoingFields, getOutgoingScopes, handleException, handleReThrowableException, hashCode, hasTrapHandler, setBranchNames, setTrapHandler, toString`

### Methods inherited from class cascading.flow.stream.duct.Stage

`receive`

### Methods inherited from class cascading.flow.stream.duct.Duct

`bind, getNext, getNextFor, receiveFirst, start`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### EachStage

    public EachStage(FlowProcess flowProcess,
             Each each)

### Method Detail

#### getOperator

    public Operator getOperator()

Specified by:
  `getOperator` in class `OperatorStage<TupleEntry>`

#### getOutgoingSelector

    protected Fields getOutgoingSelector()

Specified by:
  `getOutgoingSelector` in class `OperatorStage<TupleEntry>`